program xtactics;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}
  cthreads, clocale,
  {$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, tachartlazaruspkg, UGame, UCore, Common,
  CoolTranslator, TemplateGenerics, UFormPlayer
  { you can add units after this },
  SysUtils, UFormMain, UFormMove, UFormNew, UFormCharts, UFormUnitMoves;

{$R *.res}

{$IFDEF DEBUG}
const
  HeapTraceLog = 'heaptrclog.trc';
{$ENDIF}


begin
  {$IFDEF DEBUG}
  // Heap trace
  DeleteFile(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  SetHeapTraceOutput(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  {$ENDIF}

  RequireDerivedFormResource := True;
  Application.Initialize;
  Application.CreateForm(TCore, Core);
  Application.CreateForm(TFormMain, FormMain);
  Application.CreateForm(TFormNew, FormNew);
  Application.CreateForm(TFormMove, FormMove);
  Application.CreateForm(TFormPlayer, FormPlayer);
  Application.CreateForm(TFormCharts, FormCharts);
  Application.CreateForm(TFormUnitMoves, FormUnitMoves);
  Application.Run;
end.

